Bug 1981634 - enhance service-ca injection [NEEDINFO]
Summary: enhance service-ca injection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: service-ca
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: David Eads
QA Contact: liyao
URL:
Whiteboard:
Depends On: 1981633
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-13 03:17 UTC by OpenShift BugZilla Robot
Modified: 2021-07-26 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-26 17:35:23 UTC
Target Upstream Version:
xxia: needinfo? (liyao)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 857 0 None closed [release-4.7] bug 1981634: UPSTREAM: <drop>: use the legacy service-ca.crt content for clusters started in 4.7 or before 2021-07-14 12:49:07 UTC
Github openshift service-ca-operator pull 170 0 None closed [release-4.7] bug 1981634: add vulnerable legacy injector to allow for upgrade clusters to use 2021-07-14 12:49:07 UTC
Red Hat Product Errata RHBA-2021:2762 0 None None None 2021-07-26 17:35:39 UTC

Description OpenShift BugZilla Robot 2021-07-13 03:17:08 UTC
+++ This bug was initially created as a clone of Bug #1981498 +++

Comment 3 liyao 2021-07-15 03:47:44 UTC
Tested in 4.7.0-0.nightly-2021-07-13-223143 fresh env
$ oc get kubecontrollermanager cluster -o yaml | grep -i secure
# no output, this means secure mode is NOT used by default.
$ oc new-project testproj
$ oc get cm openshift-service-ca.crt -o yaml 
# annotation service.alpha.openshift.io/inject-vulnerable-legacy-cabundle: "true" is seen, and multiple certs in service-ca.crt field, this is as expected

Comment 4 Xingxing Xia 2021-07-15 04:03:38 UTC
(In reply to liyao from comment #3)
> Tested in 4.7.0-0.nightly-2021-07-13-223143 fresh env
> $ oc get kubecontrollermanager cluster -o yaml | grep -i secure
> # no output, this means secure mode is NOT used by default.
FYI, need not test this. See the 4.7 PRs, 4.7 does not add this field, only 4.8+ add.

Comment 7 errata-xmlrpc 2021-07-26 17:35:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.21 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2762


Note You need to log in before you can comment on or make changes to this bug.